
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des factures</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordFacture']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Facturations
              </li>
              <li class="breadcrumb-item active"> Liste des factures
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
   
        <div class="section section-data-tables">


<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     

      
    
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>N° Facture</th>
                <th>Client</th>
                <th>Date de Facture</th>
                <th>Delai</th>
                <th>Prix Total</th>
                <th>Montant due</th>
                <th>Statut</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let f of factures; index as i;">
                

                <td><a href="VoirFacture?id={{f.id}}">FACTURE-{{f.id.substr(0, 5)}}</a></td>
                <td>
                  <div *ngFor="let cl of clients">
                    <div *ngIf="f.ClientId === cl.id">
                      {{cl.nom}}  {{cl.prenom}}
                    </div>
                  </div>

                </td>
                <td>{{f.date}}</td>
                <td>{{f.delai}}</td>
               
                <td>{{f.Prixtotal}}</td>
                <td>

                  

                  <ng-container *ngIf="montantdue[i] <= 0">

                    <span class="chip lighten-5 green green-text">Paye</span>
                  
                  
                  </ng-container>
                  
                  
                  <ng-container *ngIf="montantdue[i] > 0 ">
                  
                    {{montantdue[i]}}
                  
                  
                  </ng-container>


              </td>
                <td>
                
<ng-container *ngIf="etat[i] == 'ouvert'">

  <span class="chip lighten-5 green green-text">En cours</span>


</ng-container>


<ng-container *ngIf="etat[i] == 'ferme'">

  <span class="chip lighten-5 orange orange-text">Delai</span>


</ng-container>

                 


                </td>
               
                <td> <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                    <i class="material-icons">arrow_drop_down</i>
                  </a>
                  <ul id='dropdown{{i}}' class='dropdown-content' >
                    <li><a  href="VoirFacture?id={{f.id}}"> Voir</a></li>
                    <li ><a class="modal-trigger" href="#modal1" (click)="getOne(f.id)" > Paye</a></li>
                    
                  <li><a class="modal-trigger" (click)="delete(f.id)"> Supprimper</a></li>
                  </ul></td>
              
              
              
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
</div>

<div id="modal1" class="modal modal-fixed-footer" >
  <form  #for="ngForm" (ngSubmit)="payement(for.value)">
    <div class="modal-content" >
      <h4>Payments</h4>
      <br>
  
   

        <div class="input-field col s6">
          <select name="mode" [(ngModel)]="payment.mode" #mode="ngModel" required>
            <option value="cheque" >cheque</option>
            <option value="virement">virement</option>
            <option value="espece" >espece</option>
           
          </select>

          <label for="name2" class="active">Mode*</label>
        </div>
        <div class="input-field col s6" >
          <input  id="name3" class="validate" type="date" name="date" [(ngModel)]="payment.date" #date="ngModel" required>
          <label for="name2">Date*</label>
        </div>
        <div class="input-field col s6">
          <input  id="name3" class="validate" type="number" name="montant" [(ngModel)]="payment.montant" #montant="ngModel"  required>
          <label for="name2" class="active">Montant*</label>
        </div>
        <div class="input-field col s6">
          <input  id="name3" class="validate" type="text" name="description" [(ngModel)]="payment.description" #description="ngModel"  required>
          <label for="name2" class="active">Description*</label>
        </div>
      
       
       
       </div>
    
    <div class="modal-footer">
       <button   type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
    </div>
  </form>
</div>
  
</div><!-- START RIGHT SIDEBAR NAV -->

